Bootstrap
目前在pypi上有3种fabric包,应该使用fabric、fabric2、fabric3这3种中的哪一个呢。针对这个问题,我查找了一些资料,把fabric、fabric2、fabric3的区别进行了一下总结,下面分享一下他们之间的区别。

1、Python官网发布的地址

Fabric1https://pypi.org/project/Fabric/

Fabric2https://pypi.org/project/fabric2/

Fabric3https://pypi.org/project/Fabric3/

2、区别

1)Fabric1、Fabric和fabric2

Fabric和Fabric2在Pypi中就是同一个东西,fabric2只是Fabric的替代名称,为了便于使用备用名称进行安装。Fabric2和之前的Fabric1相比,完全重写了,接口和功能都有很大改动,官网也不建议继续用Fabric1,建议升级到Fabric2。‘而最新版也早就支持Python 3.4+,和之前的Python2.7。

2)Fabric3

Fabric3是非官网的,是之前使用Fabric时,没有支持Python3的版本,有人fork出来,加了Python3的支持,但现在应该已经不维护了。

3、总结

尽量使用最新的Fabric2

1)mac中安装(最新版本)

brew install fabric

2)pip install安装(都是最新版本)

pip install fabric

或者

pip install fabric2

3)如果还在使用之前的Fabric1的,建议升级到最新版。非官网的Fabric3就不要用了。

相关文档:Python中Fabric的安装